PHP Manual
Prev |  | Next

# HttpQueryString::xlate

(no version information, might be only in CVS)

HttpQueryString::xlate -- Change query strings charset

## Description

publicbool HttpQueryString::xlate ( string ie, string oe )

Converts the query string from the source encoding ie to the target encoding oe.

Warning
Don't use any character set that can contain NUL bytes like UTF-16.

> Note: This method requires ext/iconv to be enabled and loaded.

## Parameters

ie

  input encoding

oe

  output encoding

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpQueryString::toString | Up | HttpDeflateStream